Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class concat

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.concat

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class concat

extends DefaultInternalAction

Internal action: `.concat`.

Description: concatenates strings or lists.

Parameters:

- + arg[0] ... + arg[n-1] (any term): the terms to be concatenated.
- +/- arg[n]: the result of the concatenation.

Parameters that are not string are concatenated using the toString method of their class.

Examples:

- `.concat("a","b",X)`: `X` unifies with "ab".
- `.concat("a","b","a")`: false.
- `.concat("a b",1,a,X)`: `X` unifies with "a b1a".
- `.concat("a", "b", "c", "d", X)`: `X` unifies with "abcd".
- `.concat([a,b,c],[d,e],[f,g],X)`: `X` unifies with `[a,b,c,d,e,f,g]`.

Note: this internal action does not implement backtrack. You if need backtrack, you can add and use the following rules in your code:

      concat([ ], L, L).
      concat([H|T], L, [H|M]) :- concat(T, L, M).

See Also:
  `delete`, `length`, `member`, `sort`, `substring`, `nth`, `max`, `min`, `reverse`, `difference`, `intersection`, `union`, Serialized Form

Constructor Summary
`concat()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, getMaxArgs, getMinArgs, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### concat

    public concat()

Method Detail

### create

    public static InternalAction create()

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD